import { ServerOptions } from 'http-proxy';
import { WithRequiredProperty } from '@imyangyong/utils';

interface Json2TsOptions {
    rootDir?: string;
    encoding?: BufferEncoding;
    suffix?: string;
    overwrite?: boolean;
    declare?: boolean;
    ignore?: RegExp | RegExp[] | null;
}
declare type ProxyOption = WithRequiredProperty<ServerOptions, 'target'> & {
    json2ts?: Json2TsOptions;
};
declare type Proxy = Record<string, ProxyOption>;
interface Options {
    proxy: Proxy;
}

export { Json2TsOptions, Options, Proxy, ProxyOption };
